{"openapi":"3.1.0","info":{"title":"ApiDeveloperPortalBFF API","description":"ApiDeveloperPortalBFF APIs","termsOfService":"N/A","contact":{"name":"Softtech"},"license":{"name":"Property of Softtech","url":"None"},"version":"4.1.6"},"servers":[{"url":"https://api-dev-dmz-platform-plateau-edge.kube.dmzisbank/sandbox","description":"Generated server url"}],"security":[{"authorization-token":[]}],"tags":[{"name":"Swagger UI Authorization Token API","description":"Swagger UI Authorization Token API End Point"},{"name":"Contents API","description":"Content End Points"},{"name":"Group Info API","description":"Group Information End Points"},{"name":"Product API","description":"Product End Points"},{"name":"Application Credential API","description":"Application Credential End Points"},{"name":"ChatBot API","description":"ChatBotAPIs End Points"},{"name":"Application Subscription API","description":"Application Subscription End Points"},{"name":"CountryInfo API","description":"APIs End Points"},{"name":"Session API","description":"Session End Points"},{"name":"Use Case API","description":"Use Case End Points"},{"name":"RSA API","description":"RSA End Points"},{"name":"TFA (Two Factor Authentication) API","description":"Two Factor Authentication End Points"},{"name":"Organization API","description":"Organization Role's End Points"},{"name":"API Api","description":"APIs End Points"},{"name":"Application API","description":"Application End Points"},{"name":"Captcha API","description":"Captcha End Points"},{"name":"Organization API","description":"Organization End Points"},{"name":"Member API","description":"Member End Points"},{"name":"Forgot Password API","description":"Forgot Password End Points"},{"name":"Organization Info API","description":"Organization Information End Points"},{"name":"Contact-US API","description":"Contact Us End Points"},{"name":"Authentication API","description":"Authentication End Points"},{"name":"Certificate API","description":"Certificate End Points"},{"name":"User API","description":"User End Points"}],"paths":{"/auth/users/register":{"post":{"tags":["Authentication API"],"operationId":"userRegister","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRegisterRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}}}}},"/auth/users/activate":{"post":{"tags":["Authentication API"],"operationId":"active","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserActivateRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}}}}},"/auth/organization":{"post":{"tags":["Authentication API"],"operationId":"getInvitationOrganizationInfo","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvitationCheckOrganizationInfoRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvitationOrganizationInfoDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvitationOrganizationInfoDTO"}}}}}}},"/auth/login":{"post":{"tags":["Authentication API"],"operationId":"login","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EncryptedLoginRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APISessionDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APISessionDTO"}}}}}}},"/auth/invitation-register":{"post":{"tags":["Authentication API"],"operationId":"invitationRegister","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvitationRegisterRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}}}}},"/api/users/me":{"get":{"tags":["User API"],"operationId":"get","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}}}},"post":{"tags":["User API"],"operationId":"update","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdateRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}}}}},"/api/users/me/password":{"post":{"tags":["User API"],"operationId":"userPasswordUpdate","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPasswordUpdateRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/tfa/validate/{validate-type}":{"post":{"tags":["TFA (Two Factor Authentication) API"],"operationId":"validate","parameters":[{"name":"validate-type","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TFAValidateRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TFAValidateResponseDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TFAValidateResponseDTO"}}}}}}},"/api/tfa/regenerate/{generate-type}":{"post":{"tags":["TFA (Two Factor Authentication) API"],"operationId":"regenerateOTP","parameters":[{"name":"generate-type","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TFAGenerateRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TFAGenerateResponseDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TFAGenerateResponseDTO"}}}}}}},"/api/tfa/generate/{generate-type}":{"post":{"tags":["TFA (Two Factor Authentication) API"],"operationId":"generateOTP","parameters":[{"name":"generate-type","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TFAGenerateRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TFAGenerateResponseDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TFAGenerateResponseDTO"}}}}}}},"/api/session/update-session":{"post":{"tags":["Session API"],"operationId":"updateSession","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APISessionDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/APISessionDTO"}}}}}}},"/api/orgs":{"get":{"tags":["Organization API"],"operationId":"getOrganizations","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationDTO"}}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationDTO"}}}}}}},"post":{"tags":["Organization API"],"operationId":"createOrganization","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrganizationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationDTO"}}}}}}},"/api/orgs/update":{"post":{"tags":["Organization API"],"operationId":"updateOrganization","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrganizationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationDTO"}}}}}}},"/api/orgs/delete/{org-id}":{"post":{"tags":["Organization API"],"operationId":"deleteOrganization","parameters":[{"name":"org-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/orgs/change":{"post":{"tags":["Organization API"],"operationId":"changeOrganization","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeOrganizationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationDTO"}}}}}}},"/api/organization":{"post":{"tags":["Organization Info API"],"operationId":"postOrganizationInfo","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationInfoRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationInfoDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationInfoDTO"}}}}}}},"/api/organization/update":{"post":{"tags":["Organization Info API"],"operationId":"updateOrganizationInfo","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationInfoRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationInfoDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationInfoDTO"}}}}}}},"/api/members/{member-id}":{"post":{"tags":["Member API"],"operationId":"deleteMember","parameters":[{"name":"member-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/members/{member-id}/changeRole":{"post":{"tags":["Member API"],"operationId":"memberChangeRole","parameters":[{"name":"member-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}}}}},"/api/member-invitations":{"get":{"tags":["Member API"],"operationId":"getMemberInvitations","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberDTO"}}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberDTO"}}}}}}},"post":{"tags":["Member API"],"operationId":"createMemberInvitations","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}}}}},"/api/member-invitations/{member-invitation-id}":{"post":{"tags":["Member API"],"operationId":"deleteMemberInvitation","parameters":[{"name":"member-invitation-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/member-invitations/{member-invitation-id}/regenerate":{"post":{"tags":["Member API"],"operationId":"memberInvitationRegenerate","parameters":[{"name":"member-invitation-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResendInvitationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/forgotPasswords/new":{"post":{"tags":["Forgot Password API"],"operationId":"forgotPassword","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgotPasswordDTO"}}},"required":true},"responses":{"500":{"description":"Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"Success"},"204":{"description":"Success"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/forgotPasswords/create":{"post":{"tags":["Forgot Password API"],"operationId":"create","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePasswordRequestDTO"}}},"required":true},"responses":{"500":{"description":"Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"Success"},"204":{"description":"Success"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/contact-us":{"post":{"tags":["Contact-US API"],"operationId":"sendContactUsForm","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}}},"/api/chatbot/session/{session-id}/message":{"post":{"tags":["ChatBot API"],"operationId":"sendMessage","parameters":[{"name":"session-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/chatbot/session/{session-id}/message/{feedback-id}/feedback":{"post":{"tags":["ChatBot API"],"operationId":"feedBackReasons","parameters":[{"name":"session-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"feedback-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/chatbot/agent/label/{label-id}/session":{"post":{"tags":["ChatBot API"],"operationId":"getSession","parameters":[{"name":"label-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/apps":{"get":{"tags":["Application API"],"operationId":"getAllApplications","parameters":[{"name":"product-id","in":"query","required":false,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationDTO"}}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationDTO"}}}}}}},"post":{"tags":["Application API"],"operationId":"createLiveApplication","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApplicationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}}}}},"/api/apps/{application-id}":{"get":{"tags":["Application API"],"operationId":"getApplication","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}}}},"post":{"tags":["Application API"],"operationId":"updateLiveApplication","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApplicationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}}}}},"/api/apps/{application-id}/updateSandboxApp":{"post":{"tags":["Application API"],"operationId":"updateSandboxApplication","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApplicationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}}}}},"/api/apps/{application-id}/subscriptions/{subscription-id}":{"get":{"tags":["Application Subscription API"],"operationId":"getSubscriptionById","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"subscription-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}}}},"post":{"tags":["Application Subscription API"],"operationId":"deleteSubscription","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"subscription-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/apps/{application-id}/remove":{"post":{"tags":["Application API"],"operationId":"delete","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/apps/{application-id}/golive":{"post":{"tags":["Application API"],"operationId":"goLive","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApplicationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationDTO"}}}}}}},"/api/apps/{application-id}/credentials/verify-secret":{"post":{"tags":["Application Credential API"],"operationId":"verifySecret","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CredentialVerificationRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/apps/{application-id}/credentials/reset":{"post":{"tags":["Application Credential API"],"operationId":"reset","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CredentialRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CredentialDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CredentialDTO"}}}}}}},"/api/apps/{application-id}/credentials/reset-secret":{"post":{"tags":["Application Credential API"],"operationId":"resetSecret","parameters":[{"name":"application-id","in":"path","required":true,"schema":{"type":"string"}},{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CredentialRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CredentialDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CredentialDTO"}}}}}}},"/api/apps/validatecert":{"post":{"tags":["Application API"],"operationId":"validateCertificate","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateCertRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CertificateValidationsDto"}}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CertificateValidationsDto"}}}}}}}},"/api/apps/update-uat-certs":{"post":{"tags":["Application API"],"operationId":"updateUatCerts","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/apps/update-all-certs":{"post":{"tags":["Application API"],"operationId":"updateAllAppsCerts","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK"},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully"}}}},"/api/apps/subscriptions":{"post":{"tags":["Application Subscription API"],"operationId":"createSubscription","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSubscriptionRequestDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}}}}},"/api/apps/promote":{"post":{"tags":["Application API"],"operationId":"promote","parameters":[{"name":"x-rly-corr","in":"header","description":"Global log correlation id used to correlate logs and traces","required":true},{"name":"x-rly-session","in":"header","description":"Active user session from initiator","required":true},{"name":"x-rly-user-id","in":"header","description":"Api caller user identifier","required":true},{"name":"x-rly-tenant","in":"header","description":"Used to identify domain specific tenant when multi tenancy is active","required":true},{"name":"x-rly-ins-unit","in":"header","description":"Institution unit code of initiator user (i.e. for bank branch users)","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormDTO"}}},"required":true},"responses":{"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"502":{"description":"Bad Gateway","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"504":{"description":"Gateway Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}},"403":{"description":"Credentials are not enough to view requested resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BaseApiResponse"}}}},"201":{"description":"New resource created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}
[...]
